var localizedStrings = new Array;

function setLocalizedStrings(language) {
	// Load the new Localized Strings

	if (language == "fr") {
		localizedStrings['FEELS LIKE'] = 'RESSENTIE';
		
		localizedStrings['Sun'] = 'Dim';
		localizedStrings['Mon'] = 'Lun';
		localizedStrings['Tue'] = 'Mar';
		localizedStrings['Wed'] = 'Mer';
		localizedStrings['Thu'] = 'Jeu';
		localizedStrings['Fri'] = 'Ven';
		localizedStrings['Sat'] = 'Sam';

		localizedStrings["Jan"] = "Jan";
		localizedStrings["Feb"] = "F&eacute;v";
		localizedStrings["Mar"] = "Mars";
		localizedStrings["Apr"] = "Avr";
		localizedStrings["May"] = "Mai";
		localizedStrings["Jun"] = "Juin";
		localizedStrings["Jul"] = "Juil";
		localizedStrings["Aug"] = "Ao&ucirc;t";
		localizedStrings["Sep"] = "Sept";
		localizedStrings["Oct"] = "Oct";
		localizedStrings["Nov"] = "Nov";
		localizedStrings["Dec"] = "D&eacute;c";

		localizedStrings['Overnight'] = 'Nuit';
		localizedStrings['Morning'] = 'Matin';
		localizedStrings['Afternoon'] = 'Apr\u00e8s-midi';
		localizedStrings['Evening'] = 'Soir';

		localizedStrings['City Name'] = 'Nom de la ville';
		localizedStrings['Temperature'] = 'Temp\u00e9rature';
		localizedStrings['Condition'] = 'Ciel';
		localizedStrings['P.O.P.'] = 'P.D.P.';
		localizedStrings['High'] = "T. Max.";
		localizedStrings['Low'] = "T. Min.";
		localizedStrings['Feels Like'] = 'T. Ressentie';
		localizedStrings['Canada'] = 'Canada';
		localizedStrings['United States'] = '\u00c9tats-Unis';
		localizedStrings['International'] = 'Dans le monde';
		localizedStrings['Language'] = 'Langue';
		localizedStrings['English'] = 'Anglais';
		localizedStrings['French'] = 'Fran\u00e7ais';
		localizedStrings['Show 5-Days Lows'] = 'Voir les minimums';
		localizedStrings['Maps'] = 'Cartes';
		localizedStrings['Roads'] = 'Routes';
		localizedStrings['Travel'] = 'Voyage';
		localizedStrings['alerts'] = 'Alertes';
		localizedStrings['backTWN.png'] = 'backMM.png';
		localizedStrings['twn.png'] = 'mm.png';
		localizedStrings['Winds'] = 'Vents';
		localizedStrings['Humidity'] = 'Humidit\u00e9';
		localizedStrings['Pressure'] = 'Pression';
		localizedStrings['Pressure1'] = '\u00e0 la baisse';
		localizedStrings['Pressure2'] = '\u00e0 la hausse';
		localizedStrings['Pressure3'] = 'stable';
		localizedStrings['Updated'] = 'Mise-\u00e0-jour';
		localizedStrings['Validating'] = 'Validation';
		localizedStrings['No locations found'] = 'Aucune ville trouv\u00e9e';
		localizedStrings['Current location'] = 'Emplacement actuel';
		localizedStrings['Current language'] = 'Langue actuelle';
		localizedStrings['Current unit'] = 'Unit\u00e9 actuel';
		localizedStrings['Current units'] = 'Unit\u00e9s actuels';
		localizedStrings['Imperial'] = 'Imp\u00e9riales';
		localizedStrings['Metric'] = 'M\u00e9triques';
		localizedStrings['Short Term Forecast'] = 'Pr&eacute;visions court terme';
		localizedStrings['Done'] = 'Termin\u00e9';

		localizedStrings['Please enter a longer city name'] = "SVP entrez le nom d'une ville le plus long";
		localizedStrings['Searching'] = 'Recherche';
		localizedStrings['No city found, try again please'] = "Aucune ville trouv&eacute;, essayez &agrave; nouveau";
		localizedStrings['Enter City Name Here'] = "Entrez le nom d'une ville ici";

		localizedStrings['dockedSiteLinkImage'] = 'images/nav/url_link_fr.png';
		localizedStrings['14day_trend_link.png'] = '/images/nav/14day_trend_link_fr.png';
		localizedStrings['hourly_forecast_link.png'] = '/images/nav/hourly_forecast_link_fr.png';
		localizedStrings['long_term_forecast_link.png'] = '/images/nav/long_term_forecast_link_fr.png';
		localizedStrings['wthr_maps_link.png'] = '/images/nav/wthr_maps_link_fr.png';
		localizedStrings['roads_link.png'] = '/images/nav/roads_link_fr.png';
		localizedStrings['henv_link.png'] = '/images/nav/henv_link_fr.png';

		localizedStrings['wthr_maps_linkAnchor'] = 'http://weathereye1.is.pelmorex.com/WeatherEyeRedirect/links.asp?lang=fr&product=maps&placecode=&app=vgadget&weye=1.0.2';
		localizedStrings['roadslinkAnchor'] = 'http://weathereye1.is.pelmorex.com/WeatherEyeRedirect/links.asp?lang=fr&product=roads&placecode=&app=vgadget&weye=1.0.2';
		localizedStrings['henvlinkAnchor'] = 'http://weathereye1.is.pelmorex.com/WeatherEyeRedirect/links.asp?lang=fr&product=health&placecode=&app=vgadget&weye=1.0.2';

		localizedStrings['Connecting'] = 'Connexion';
		localizedStrings['Connection error'] = 'chec connection';
		localizedStrings['Switching host'] = 'Changement d\'hte';
		

	} else {
		localizedStrings['FEELS LIKE'] = 'FEELS LIKE';
		localizedStrings['Sun'] = 'Sun';
		localizedStrings['Mon'] = 'Mon';
		localizedStrings['Tue'] = 'Tue';
		localizedStrings['Wed'] = 'Wed';
		localizedStrings['Thu'] = 'Thu';
		localizedStrings['Fri'] = 'Fri';
		localizedStrings['Sat'] = 'Sat';
		
		localizedStrings["Jan"] = "Jan";
		localizedStrings["Feb"] = "Feb";
		localizedStrings["Mar"] = "Mar";
		localizedStrings["Apr"] = "Avr";
		localizedStrings["May"] = "May";
		localizedStrings["Jun"] = "Jun";
		localizedStrings["Jul"] = "Jul";
		localizedStrings["Aug"] = "Aug";
		localizedStrings["Sep"] = "Sep";
		localizedStrings["Oct"] = "Oct";
		localizedStrings["Nov"] = "Nov";
		localizedStrings["Dec"] = "Dec";

		localizedStrings['Overnight'] = 'Overnight';
		localizedStrings['Morning'] = 'Morning';
		localizedStrings['Afternoon'] = 'Afternoon';
		localizedStrings['Evening'] = 'Evening';

		localizedStrings['City Name'] = 'City Name';
		localizedStrings['Temperature'] = 'Temperature';
		localizedStrings['Condition'] = 'Condition';
		localizedStrings['P.O.P.'] = 'P.O.P.';
		localizedStrings['High'] = "High";
		localizedStrings['Low'] = "Low";
		localizedStrings['Feels Like'] = 'Feels Like';
		localizedStrings['Canada'] = 'Canada';
		localizedStrings['United States'] = 'United States';
		localizedStrings['International'] = 'International';
		localizedStrings['Language'] = 'Language';
		localizedStrings['English'] = 'English';
		localizedStrings['French'] = 'French';
		localizedStrings['Show 5-Days Lows'] = 'Show 5-Days Lows';
		localizedStrings['Maps'] = 'Maps';
		localizedStrings['Roads'] = 'Roads';
		localizedStrings['Travel'] = 'Travel';
		localizedStrings['alerts'] = 'alerts';
		localizedStrings['Done'] = 'Done';
		localizedStrings['backTWN.png'] = 'backTWN.png';
		localizedStrings['twn.png'] = 'twn.png';
		localizedStrings['Winds'] = 'Winds';
		localizedStrings['Humidity'] = 'Humidity';
		localizedStrings['Pressure'] = 'Pressure';
		localizedStrings['Pressure1'] = 'falling';
		localizedStrings['Pressure2'] = 'rising';
		localizedStrings['Pressure3'] = 'stable';
		localizedStrings['Updated'] = 'Updated';
		localizedStrings['Validating'] = 'Validating';
		localizedStrings['No locations found'] = 'No locations found';
		localizedStrings['Current location'] = 'Current location';
		localizedStrings['Current language'] = 'Current language';
		localizedStrings['Current unit'] = 'Current unit';
		localizedStrings['Current units'] = 'Current units';
		localizedStrings['Imperial'] = 'Imperial';
		localizedStrings['Metric'] = 'Metric';
		localizedStrings['Short Term Forecast'] = 'Short Term Forecast';
		localizedStrings['Done'] = 'Done';

		localizedStrings['Please enter a longer city name'] = 'Please enter a longer city name';
		localizedStrings['Searching'] = 'Searching';
		localizedStrings['No city found, try again please'] = "No city found, please check<br />punctuation, spelling and/or spacing";
		localizedStrings['Enter City Name Here'] = "Enter City Name Here";

		localizedStrings['dockedSiteLinkImage'] = 'images/nav/url_link.png';
		localizedStrings['14day_trend_link.png'] = '/images/nav/14day_trend_link.png';
		localizedStrings['hourly_forecast_link.png'] = '/images/nav/hourly_forecast_link.png';
		localizedStrings['long_term_forecast_link.png'] = '/images/nav/long_term_forecast_link.png';
		localizedStrings['wthr_maps_link.png'] = '/images/nav/wthr_maps_link.png';
		localizedStrings['roads_link.png'] = '/images/nav/roads_link.png';
		localizedStrings['henv_link.png'] = '/images/nav/henv_link.png';

		localizedStrings['wthr_maps_linkAnchor'] = 'http://weathereye1.is.pelmorex.com/WeatherEyeRedirect/links.asp?lang=en&product=maps&placecode=&app=vgadget&weye=1.0.2';
		localizedStrings['roadslinkAnchor'] = 'http://weathereye1.is.pelmorex.com/WeatherEyeRedirect/links.asp?lang=en&product=roads&placecode=&app=vgadget&weye=1.0.2';
		localizedStrings['henvlinkAnchor'] = 'http://weathereye1.is.pelmorex.com/WeatherEyeRedirect/links.asp?lang=en&product=health&placecode=&app=vgadget&weye=1.0.2';

		localizedStrings['Connecting'] = 'Connecting';
		localizedStrings['Connection error'] = 'Connection error';
		localizedStrings['Switching host'] = 'Switching host';

	}

}

function getLocalizedString(key) {

	if (typeof(localizedStrings[key]) != "undefined") {
		return localizedStrings[key];
	} else {
		return "!"+key+"!";
	}

}

setLocalizedStrings(System.Gadget.Settings.read("Language"));
