
///////////////////////////////////////////////////////////////////////////////////////////////////
//
//  THIS CODE IS NOT APPROVED FOR USE IN/ON ANY OTHER UI ELEMENT OR PRODUCT COMPONENT.
//  Copyright (c) 2006 Microsoft Corporation.  All rights reserved.
//
///////////////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////////
//
// GLOBAL GADGET MEMBERS
//
///////////////////////////////////////////////////////////////////////////////////////////////////
// ??????
///////////////////////////////////////////////////////////////////////////////////////////////////
// 
var WEEKDAYS = new Array("Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat");
var PERIODS = new Array("Overnight", "Overnight", "Overnight", "Overnight", "Overnight", "Morning", "Morning", "Morning", "Morning", "Morning", "Morning", "Morning", "Afternoon", "Afternoon", "Afternoon", "Afternoon", "Afternoon", "Afternoon", "Evening", "Evening", "Evening", "Evening", "Overnight", "Overnight");


///////////////////////////////////////////////////////////////////////////////////////////////////
//.................................................................................................
///////////////////////////////////////////////////////////////////////////////////////////////////

function localizePanel() {
	setLocalizedStrings(System.Gadget.Settings.read("Language"));
	undockedFeelslikeLabel.innerHTML = getLocalizedString("Feels Like");
	undockedWindLabel.innerHTML = getLocalizedString("Winds");
	undockedHumidityLabel.innerHTML = getLocalizedString("Humidity");
	undockedPressureLabel.innerHTML = getLocalizedString("Pressure");
	undockedSTFXTitle.innerHTML = getLocalizedString("Short Term Forecast");
	undockedSTTempLabel.innerHTML = getLocalizedString("Temperature");
	undockedSTCondLabel.innerHTML = getLocalizedString("Condition");
	undockedSTPOPLabel.innerHTML = getLocalizedString("P.O.P.");

	var gadgetDoc = System.Gadget.document;

	undockedSTTempLabel.innerHTML = gadgetDoc.getElementById("undockedSTTempLabel").innerHTML;
	undockedSTPOPLabel.innerHTML = gadgetDoc.getElementById("undockedSTPOPLabel").innerHTML;
	undockedObsLink.href = gadgetDoc.getElementById("undockedObsLink").href;
	undockedSTFXTitleLink.href = gadgetDoc.getElementById("undockedSTFXTitleLink").href;

	linkHourly.src   = gadgetDoc.getElementById("linkHourly").src;
	linkLT.src       = gadgetDoc.getElementById("linkLT").src;
	link14day.src    = gadgetDoc.getElementById("link14day").src;
	linkHourlyAnchor.href	 = gadgetDoc.getElementById("linkHourlyAnchor").href;
	linkLTAnchor.href		 = gadgetDoc.getElementById("linkLTAnchor").href;
	link14dayAnchor.href	 = gadgetDoc.getElementById("link14dayAnchor").href;
	wthrmapslinkAnchor.href  = gadgetDoc.getElementById("wthrmapslinkAnchor").href;
	roadslinkAnchor.href	 = gadgetDoc.getElementById("roadslinkAnchor").href;
	henvlinkAnchor.href		 = gadgetDoc.getElementById("henvlinkAnchor").href;
	undockedLogoLink.href	 = gadgetDoc.getElementById("undockedLogoLink").href;

	wthrmapslink.src = gadgetDoc.getElementById("wthrmapslink").src;
	roadslink.src    = gadgetDoc.getElementById("roadslink").src;
	henvlink.src     = gadgetDoc.getElementById("henvlink").src;
	
	if (System.Gadget.Settings.read("Language") == "fr") {
		document.body.style.backgroundImage="url(/images/backgrounds/flyout_fr.png)";
	} else {
		document.body.style.backgroundImage="url(/images/backgrounds/flyout.png)";
	}

}

///////////////////////////////////////////////////////////////////////////////////////////////////
//
// initFlyout - initializes the gadget
//
///////////////////////////////////////////////////////////////////////////////////////////////////
function initFlyout() { 
	
	var timerId = null;
	var updateWeatherTimeout = 1000 * 15; // update data from the main gadget every 15 seconds

	if ( !timerId ) {
		timerId = setInterval( "updateFlyoutDisplay();", updateWeatherTimeout );
	}

	System.Gadget.Flyout.onShow = procFlyoutShowEvent;
	System.Gadget.Flyout.onHide = procFlyoutHideEvent;

	genDockedFlyout();
	updateFlyoutDisplay();
	localizePanel();

	//undockedObsDescription.innerHTML = "Aprs Localize";

	updateFlyoutDisplay();

	// Init Ad Banner only once to not overcharge the ad server :)
	adBannerLink.href = System.Gadget.document.getElementById("adBannerLink").href;
	adBannerImage.src = System.Gadget.document.getElementById("adBannerImage").src;

}
///////////////////////////////////////////////////////////////////////////////////////////////////


function updateFlyoutDisplay() {

	
	// Current city
	PlaceCode = System.Gadget.Settings.read("PlaceCode");
	PlaceName = System.Gadget.Settings.read("PlaceName");
	ObsStation= System.Gadget.Settings.read("ObsStation");

	var gadgetDoc = System.Gadget.document;
	//gadgetDoc.getElementById("gadgetFieldSomeName").innerHTML = "some text";

	undockedCityNameLink.innerHTML = gadgetDoc.getElementById("undockedCityNameLink").innerHTML;
	undockedCityNameLink.href = gadgetDoc.getElementById("undockedCityNameLink").href;
	undockedOutlinksTop.style.visibility = gadgetDoc.getElementById("undockedOutlinksTop").style.visibility;

	/*undockedLink14day.href = "http://www.theweathernetwork.com/weather/14day/pages/"+PlaceCode+".htm";
	undockedLinkLT.href = "http://www.theweathernetwork.com/weather/cities/can/pages/"+PlaceCode+".htm?"+PlaceCode+"#longTerm";
	undockedLinkHourly.href = "http://www.theweathernetwork.com/weather/hfx/pages/"+ObsStation+".htm?"+PlaceCode; */
	
	// Load all weather data in settings, so we can retrieve them in the flyout page
	ObsIcon = gadgetDoc.getElementById("undockedObsIcon").src;			
	ObsDescription = gadgetDoc.getElementById("undockedObsDescription").innerHTML;
	ObsPress =       gadgetDoc.getElementById("undockedObsPress").innerHTML;
	ObsTemp =        gadgetDoc.getElementById("undockedObsTemp").innerHTML;
	ObsHumid =       gadgetDoc.getElementById("undockedObsHumid").innerHTML;
	ObsWinds =       gadgetDoc.getElementById("undockedObsWinds").innerHTML;
	ObsFeels =       gadgetDoc.getElementById("undockedObsFeelslike").innerHTML;

	STF_Temp_1 = gadgetDoc.getElementById("undockedSTTemp1").innerHTML; 
	STF_Temp_2 = gadgetDoc.getElementById("undockedSTTemp2").innerHTML; 
	STF_Temp_3 = gadgetDoc.getElementById("undockedSTTemp3").innerHTML; 
	STF_Temp_4 = gadgetDoc.getElementById("undockedSTTemp4").innerHTML; 
	            
	STF_Icon_1 = gadgetDoc.getElementById("undockedSTIcon1").src; 
	STF_Icon_2 = gadgetDoc.getElementById("undockedSTIcon2").src; 
	STF_Icon_3 = gadgetDoc.getElementById("undockedSTIcon3").src; 
	STF_Icon_4 = gadgetDoc.getElementById("undockedSTIcon4").src; 
	            
	STF_Cond_1 = gadgetDoc.getElementById("undockedSTCond1").innerHTML; 
	STF_Cond_2 = gadgetDoc.getElementById("undockedSTCond2").innerHTML; 
	STF_Cond_3 = gadgetDoc.getElementById("undockedSTCond3").innerHTML; 
	STF_Cond_4 = gadgetDoc.getElementById("undockedSTCond4").innerHTML; 
	            
	STF_POP_1 =  gadgetDoc.getElementById("undockedSTPOP1").innerHTML;  
	STF_POP_2 =  gadgetDoc.getElementById("undockedSTPOP2").innerHTML;  
	STF_POP_3 =  gadgetDoc.getElementById("undockedSTPOP3").innerHTML;  
	STF_POP_4 =  gadgetDoc.getElementById("undockedSTPOP4").innerHTML;  
	
	STF_Per_1 = gadgetDoc.getElementById("undockedSTPer1").innerHTML;
	STF_Per_2 = gadgetDoc.getElementById("undockedSTPer2").innerHTML;
	STF_Per_3 = gadgetDoc.getElementById("undockedSTPer3").innerHTML;
	STF_Per_4 = gadgetDoc.getElementById("undockedSTPer4").innerHTML; 

	// Update display

	undockedObsIcon.src = ObsIcon;
	undockedObsDescription.innerHTML = ObsDescription; 
	undockedObsPress.innerHTML = ObsPress;
	undockedObsTemp.innerHTML = ObsTemp; 

	undockedObsHumid.innerHTML = ObsHumid; 
	undockedObsWinds.innerHTML = ObsWinds;

	undockedWarningLink.innerHTML = gadgetDoc.getElementById("undockedWarningLink").innerHTML;
	undockedWarningLink.href      = gadgetDoc.getElementById("undockedWarningLink").href;
	undockedWarning.style.display = gadgetDoc.getElementById("undockedWarning").style.display;

	undockedUpdateLink.innerHTML = gadgetDoc.getElementById("undockedUpdateLink").innerHTML;
	undockedUpdateLink.href      = gadgetDoc.getElementById("undockedUpdateLink").href;
	undockedUpdate.style.display = gadgetDoc.getElementById("undockedUpdate").style.display;

	undockedObsFeelslike.innerHTML = ObsFeels;
	undockedFeelslikeDiv.style.visibility = gadgetDoc.getElementById("undockedFeelslikeDiv").style.visibility;
	
	undockedSTIcon1.src = STF_Icon_1;
	undockedSTIcon2.src = STF_Icon_2;
	undockedSTIcon3.src = STF_Icon_3;
	undockedSTIcon4.src = STF_Icon_4; 

	undockedSTTemp1.innerHTML = STF_Temp_1;
	undockedSTTemp2.innerHTML = STF_Temp_2;
	undockedSTTemp3.innerHTML = STF_Temp_3;
	undockedSTTemp4.innerHTML = STF_Temp_4;

	undockedSTCond1.innerHTML = STF_Cond_1;
	undockedSTCond2.innerHTML = STF_Cond_2;
	undockedSTCond3.innerHTML = STF_Cond_3;
	undockedSTCond4.innerHTML = STF_Cond_4;

	undockedSTPOP1.innerHTML = STF_POP_1;
	undockedSTPOP2.innerHTML = STF_POP_2;
	undockedSTPOP3.innerHTML = STF_POP_3;
	undockedSTPOP4.innerHTML = STF_POP_4;

	undockedSTPer1.innerHTML = STF_Per_1;
	undockedSTPer2.innerHTML = STF_Per_2;
	undockedSTPer3.innerHTML = STF_Per_3;
	undockedSTPer4.innerHTML = STF_Per_4;  

}


///////////////////////////////////////////////////////////////////////////////////////////////////
//
// procFlyoutCore - process core gadget code
//
///////////////////////////////////////////////////////////////////////////////////////////////////
function procFlyoutCore() { 
	// process core gadget code
    // ??????
}
///////////////////////////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////////////////////////
//
// genFlyoutLayout - determine if gadget is in sidebar (docked) or on the desktop 
//                   (undocked) and gen layout based on the current state.
///////////////////////////////////////////////////////////////////////////////////////////////////
function genFlyoutLayout() {
	
	// generate gadget layout
    
/*// gen undocked gadget layout
    if (gUndockSmallFlag)
    {
        // gen undocked gadget with small frame
        genUndockedSmallFrame();
    }
    else
    {*/
        // gen undocked gadget with large frame
        genDockedFlyout();
/* }*/
}
///////////////////////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////////////////////////
//
// procFlyoutShowEvent - process show flyout event
//
///////////////////////////////////////////////////////////////////////////////////////////////////
function procFlyoutShowEvent() {
	// process show flyout event

	// Disable the expend button in the docked gadget
	//System.Gadget.document.getElementById("dockedFlyoutLink").href = "";
}
///////////////////////////////////////////////////////////////////////////////////////////////////



///////////////////////////////////////////////////////////////////////////////////////////////////
//
// procFlyoutHideEvent - process hide flyout event
//
///////////////////////////////////////////////////////////////////////////////////////////////////
function procFlyoutHideEvent()
{   // process hide flyout event

	// Enable the expend button in the docked gadget
	System.Gadget.document.getElementById("dockedFlyoutLink").innerHTML = '<img id="dockedFlyoutLinkImage" src="images/nav/blank.png" width=26 height=26 border=0 />';

	//System.Gadget.document.getElementById("dockedFlyoutLink").href = "javascript:doProcFlyoutOpen();";
}
///////////////////////////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////////////////////////
//
// genUndockedLargeFrame - gen layout for undocked gadget with large frame
//
///////////////////////////////////////////////////////////////////////////////////////////////////

function genDockedFlyout() {   
	// process docked gadget layout with flyout closed (hidden)
    // set gadget document styles
    //document.body.style.width =  "482";                                            // set total gadget width
    //document.body.style.height = "506";                                           // set total gadget height
    //document.background="url(images/backgrounds/flyout.png)";         // set gadget background image

    //document.body.style.backgroundImage="url(images/backgrounds/flyout.png)";         // set gadget background image
	//document.background="url('/images/backgrounds/flyout.png')";
	//document.body.g.background.src="/images/backgrounds/flyout.png";
	
	undocked.style.display = "block";
	//undockedObsDescription.innerHTML = "TEST2!";

}

///////////////////////////////////////////////////////////////////////////////////////////////////
//
// doProcFlyoutClose - process close flyout request
// 
///////////////////////////////////////////////////////////////////////////////////////////////////
function doProcFlyoutClose()
{   // process close flyout request
    gFlyOpenFlag = false;
    System.Gadget.Flyout.show = false;
	System.Gadget.document.getElementById("dockedFlyoutLink").innerHTML = '<img id="dockedFlyoutLinkImage" src="images/nav/blank.png" width=26 height=26 border=0 />';

}
///////////////////////////////////////////////////////////////////////////////////////////////////
